#!/usr/bin/perl -w
push @SPECHOOKS, 
sub {
    my ($spec) = @_;
    $spec->{WARN_NOTAPPLIED}--;
    my $man1found=0;
    foreach my $section ($spec->get_sections()) {
	if ($section->get_type() eq 'file') {
	    $section->exclude(qr'\%perl_vendor_man3dir');
	    $man1found||=$section->match(qr'\%perl_vendor_man1dir');
	    # is %perl_vendor_man1dir killed too?
	    $section->subst(qr'\%perl_vendor_man1dir','%_man1dir');
	}
    }
    if ($man1found) {
	my $installsec=$spec->get_section('install');
	unless ($installsec) {
	    warn "Oops! no \%install section :(";
	    return;
	}
	if ($installsec->match(qr'\%perl_vendor_build')) {
	    $installsec->subst(qr'^\s*\%perl_vendor_build','%perl_vendor_build INSTALLMAN1DIR=%_man1dir');
	    $spec->get_section('package','')->push_body('
# automatically added during perl 5.8 -> 5.10 upgrade.
# perl-podlators is required for pod2man conversion.
BuildRequires: perl-podlators
');
	}
    }
};
